/* maintenance page */
.maintenance-page .dialog-off-canvas-main-canvas {       
    background-color: var(--color-dark-secondary);
}

/* media icons in teaser titles */
.four-wide-teaser-view .field--name-node-title h3:before {
    content: "";
    background-size: contain;
    display: inline-block;
    width: 25px;
    height: 25px;
    margin-right: 3px;
    vertical-align: middle;
    position: relative;
    top: -3px;
    background-image: url(/sites/default/files/2025-09/white-tv-video-icon-72.png);
}
.four-wide-teaser-view h3.title-video:before {
    background-image: url(/sites/default/files/2025-09/white-tv-video-icon-72.png);
}
.four-wide-teaser-view h3.title-audio:before {
    background-image: url(/sites/default/files/2025-09/white-tv-talk-icon-72.png);
}
.four-wide-teaser-view h3.title-podcast:before {
    background-image: url(/sites/default/files/2025-09/white-tv-podcast-icon-72.png);
}
.four-wide-teaser-view h3.title-playlist:before {
    background-image: url(/sites/default/files/2025-09/white-tv-playlist-icon-72.png);
}

/* site logo placeholder for teaser views */
.three-wide-teaser-view,
.four-wide-teaser-view {
    .views-view-responsive-grid__item:not(:has(img)):before {
        background-image: url(/sites/default/files/2025-10/dmplus-logo-mobile.png);
        background-size: auto;
        background-repeat: no-repeat;
        background-position: center;
    }
}

/* suggestions block styles */
#block-mhc-drupal-theme-dmplus-views-block-article-suggestions-block-2 {
    margin-top: 30px;
    padding-top: 20px;
    border-top: 1px solid gray;
    .view-article-suggestions {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: flex-start;
        flex-wrap: wrap;
        .view-content {
            width: calc(100% - 275px);
            max-width: 100%;
            margin-top: 10px;
            .views-row {
                display: flex;
                flex-direction: row;
                flex-wrap: wrap;
                padding: 0 10px;
                margin: 10px 10px 10px 0;
                border: 1px solid gray;
                border-radius: 5px;
                .node {
                    width: 100%;
                    .group-header {
                        width: 100%;
                        display: block;
                        h3 {
                            background-color: var(--color-dark-primary);
                            padding: 10px;
                            margin-top: 10px;
                            font-size: 21px;
                            line-height: 1.2;
                        }
                    }
                    .group-left {
                        display: inline-block;
                        float: none;
                        width: auto;
                        max-width: 100%;
                        padding: 0 20px 20px 0;
                        .field--name-field-thumbnail {
                            border: none;
                            margin: 5px 0 0;
                            padding: 0;
                            img {
                                margin-bottom: 0;
                                width: 150px;
                                height: auto;
                            }
                        }
                    }
                    .group-right {
                        width: calc(100% - 170px);
                        max-width: 100%;
                        .field--name-body {
                            display: -webkit-box;
                            -webkit-line-clamp: 4;
                            line-clamp: 4;
                            -webkit-box-orient: vertical;
                            overflow: hidden;
                            padding-bottom: 0 !important;
                            font-size: 15px;
                        }
                    }
                }
            }
        }
        .view-footer {
            .suggestion-ad {
                width: 275px;
                height: fit-content;
                margin-top: 20px;
            }
        }
    }
}
@media (max-width: 800px) {
    #block-mhc-drupal-theme-dmplus-views-block-article-suggestions-block-2 {
        .view-article-suggestions {
            justify-content: center;
            .view-content {
                width: 100%;
            }
        }
    }
}
@media (max-width: 450px) {
    #block-mhc-drupal-theme-dmplus-views-block-article-suggestions-block-2 {
        .view-article-suggestions {
            .view-content {
                .views-row {
                    .node {
                        .group-left {
                            display: block;
                            text-align: center;
                            width: 100%;
                            padding: 0 0px 10px;
                            margin-top: -10px;
                            .field--name-field-video {
                                img {
                                    width: 100%;
                                }
                            }
                        }
                        .group-right {
                            width: 100%;
                            .field--name-body {
                                display: block;
                                -webkit-line-clamp: unset;
                                line-clamp: unset;
                                -webkit-box-orient: unset;
                                overflow: unset;
                                padding-bottom: 10px !important;
                            }
                        }
                    }
                }
            }
        }
    }
}

/* marianplus logged in class */
body.marianplus-logged-in {
    li.menu-item.main-menu-item.menu-item-level-2:has(a[title='marianplus-sign-in']) {
        display: none;
    }
}
body:not(.marianplus-logged-in) {
    li.menu-item.main-menu-item.menu-item-level-2:has(a[title='marianplus-sign-out']) {
        display: none;
    }
}

/* premium content trailer banner */
div.video-player-wrapper.teaser:before {
    content: "Trailer";
    font-weight: 400;
    text-transform: uppercase;
    text-shadow: 2px 0px 4px black;
    box-shadow: 0 0 3px black;
    padding: 5px;
    display: block;
    position: absolute;
    color: white;
    background: var(--color-standard);
    top: 30px;
    z-index: 1;
    text-align: center;
    margin: auto;
    font-size: 25px;
    width: 280px;
    rotate: 45deg;
    right: -85px;
}
@media (max-width: 450px) {
    div.video-player-wrapper.teaser:before {
        font-size: 18px;
        width: 200px;
        right: -60px;
        top: 20px;
    }
}

/* Video JS big play button */
.video-js .vjs-big-play-button {
    background-color: var(--color-standard);
    opacity: 0.85;
    border-radius: 100px;
    border: 1px solid white;
    border: none;
    height: 1.5em;
    width: 1.5em;
    margin-top: -0.75em;
    margin-left: -0.75em;
    box-shadow: rgba(0, 0, 0, 0.6) 0px 5px 10px;
}

.video-js .vjs-big-play-button:focus,
.video-js:hover .vjs-big-play-button {
    background-color: var(--color-standard-dark);
}

/* Series taxonomy page title styling */
.page-title-wrap-series {
    text-align: center;
    padding: 0 !important;
    border-radius: 0;
}

.page-title-wrap-series .page-title {
    padding: 0 !important;
}

.page-title-wrap-series .page-description {
    margin: 0;
    padding-top: 0.5em;
    white-space: pre-line;
    line-height: 1;
}

.page-title-wrap-series .page-description p {
    margin: 0;
    line-height: 1.5;
}

.page-title-wrap-series--has-image {
    border-radius: 1em;
    padding: 0.75em !important;
    padding-top: 1em !important;
    padding-bottom: 0.5em !important;
    background-size: cover;
    background-position: top center;
    background-repeat: no-repeat;
}

.page-title-wrap-series--has-image .page-title {
    color: #fff;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
}

.page-title-wrap-series--has-image .page-description {
    color: rgba(255, 255, 255, 0.85);
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.7);
}

.page-content #content-top {
    /* Shrink whitespace above and below page title */
    padding: 1rem 0;
}

/* Episode pager */
.series-episode-pager .entity-pager-list {
    display: flex;
    justify-content: center;
    align-items: center
}

.series-episode-pager .entity-pager-item-prev {
    order: 0;
}

.series-episode-pager .entity-pager-list .entity-pager-item-count {
    order: 1;
}

.series-episode-pager .entity-pager-item-next {
    order: 2;
}

.series-episode-pager .entity-pager-item-prev a, 
.series-episode-pager .entity-pager-item-next a {
    display: block;
    line-height: 1;
    text-decoration: none !important;
    color: white;
    background-color: var(--color-dark-primary);
    padding: 0.475em;
    border-radius: 50px;
    transition: 0.25s background-color, 0.25s color;
}

.series-episode-pager .entity-pager-item-prev a {
    padding-left: 0.65em;
    padding-right: 0.75em;
}

.series-episode-pager .entity-pager-item-next a {
    padding-left: 0.75em;
    padding-right: 0.65em;
}

.series-episode-pager .entity-pager-item-prev a:hover, 
.series-episode-pager .entity-pager-item-next a:hover {
    color: #fff !important;
    background-color: var(--color-standard) !important;
}

/* set items view styles */
.three-wide-teaser-view.view-premium-set-items {
    .views-view-responsive-grid {
        padding: 0;
        margin: 0;
        .views-view-responsive-grid__item {
            max-width: 370px;
        }
    }
}

/* series taxonomy term special styles */
body.page-type-video .layout__region.layout__region--content:not(:has(.field--name-field-tags)) > .field--name-field-series {
    margin-top: 20px;
    border-top: 1px solid var(--border);
    margin: 0.5rem 0;
    padding: 0.5rem 0;
    &:before {
        display: block;
        content: "Click for More";
        font-size: 1.1rem;
        line-height: 1;
        font-family: Georgia;
        padding-bottom: 10px;
        padding-left: 25px;
        padding: 2px 0 10px 25px;
    }
    &:after {
        content: "\e026";
        font-size: 1.4em !important;
        color: var(--color-primary);
        display: inline-block;
        font-family: "tara" !important;
        font-weight: 400;
        font-style: normal;
        font-variant: normal;
        text-rendering: auto;
        line-height: 1;
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        position: absolute;
        top: 10px;
        left: 0;
    }
}

/* special background on certain pages */
body.path-videos, body.path-series-and-playlists {
    #main-wrapper {
        background-image: url(/sites/default/files/2025-10/dmplus_background_image.jpg);
        background-attachment: fixed;
        background-size: cover;
        margin-bottom: 0;
    }
}